> For the complete documentation index, see [llms.txt](https://docs.zaui.com/zapi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zaui.com/zapi/supporting-nodes.md).

# Supporting Nodes

- [Supporting Nodes](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes.md)
- [Single Booking Details](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/single-booking-details.md): When retrieving details for a single activity node, using various request calls in the system, Zaui will return a described single booking activity node in the following way:
- [Currencies](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/currencies.md): Since users of the back office system in Zaui can configure currencies, based on the sale dates in the system, the API will return:
- [Cart](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/cart.md): The following XML will depend on the contents of the cart:
- [Activity Times](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/activity-times.md): The following XML represents a single activity time node, but depending on the type of activity which the request is for, you may have many of these returned. The \<activityTimes> node is singular and
- [Products](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/products.md): Basic result data for products when sent back in response structures:
- [Business Hours](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/business-hours.md): Basic result data for business hours when sent back in response structures:
- [Pickup Locations](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/pickup-locations.md): Basic result data for pickup locations when sent back in response structures:
- [Dropoff Location](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/dropoff-location.md): Basic result data for drop-off locations when sent back in response structures
- [Rental Date & Times](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/rental-date-and-times.md)
- [Allowed Guest Types](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/allowed-guest-types.md): Basic result data describing the allowed guest types for any given activity or package in the system:
- [Waitlist](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/waitlist.md): Basic node describing waitlists guests in the system:
- [Passenger List](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/passenger-list.md): Basic node describing passenger types in the system:
- [Guest or Agent Details](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/guest-or-agent-details.md): Basic node describing a single guest or agent in the system. Please note the root node here will be either \<guestDetails> or \<agentDetails>.
- [User Custom Fields](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/user-custom-fields.md): These are fields that can be defined using the back office of Zaui, providing an easy mechanism to create and define your own custom user fields within the system. The format of these fields in XML is
- [Related Bookings](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/related-bookings.md): Basic node describing all bookings related to a guest in the system
- [Transaction Details](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/transaction-details.md): Refer to the trailing appendix in this document for those transactions that are available on the API. Depending on the type of transaction being submitted, your request will be required to provide par
- [Basic Transaction](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/transaction-details/basic-transaction.md)
- [Credit Card Transaction](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/transaction-details/credit-card-transaction.md)
- [Voucher/Invoice Transaction](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/transaction-details/voucher-invoice-transaction.md)
- [Discount Transaction](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/transaction-details/discount-transaction.md)
- [Days of the Week](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/days-of-the-week.md): The days of week node provides a description of configuration, by date ranges, of the days of the week that the activity is available.
- [Price Code](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/price-code.md): The following node describes a single price code as configured within the system.
- [Multi-Day Package Itinerary](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/multi-day-package-itinerary.md): The following node describes a multi-day package as configured within the system.
- [Booking - Search Results](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/booking-search-results.md): The node for a single booking returned from a search is the following markup.
- [Mobile Data](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/mobile-data.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zaui.com/zapi/supporting-nodes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
